
/**
 * Area Chart Component
 * Takes in user defined (consumer's) chartConfig and plots the chart.
 * <area-chart chart-config="config"></area-chart>
 */
import * as angular from 'angular';
import AreaChartController from "./areaChart-controller";

export default class AreaChartComponent{
    static NAME = 'areaChart';
    template = '<div data-netapp-id="areaChart"></div>';
    bindings = {
        userChartConfig: '=chartConfig'
    };
    controller = AreaChartController;
}