import * as selectionTemplate from './selection-template.html';
import SelectionController from './selection-controller';

export class NwfGridSelection {
    static NAME = 'nwfGridSelection';
    template = selectionTemplate;
    controller = SelectionController;
    bindings = {
        gridApi: '<',
        areAllItemsSelected: '<',
        selectedItems: '=',
        uniqueKey: '@',
        itemName: '@?',
        totalItemCount: '@?'
    };
}

// export factory function
export function NwfGridSelectionFactory(): NwfGridSelection {
    return new NwfGridSelection();
}
