export default class NwfModalComponent {
    static NAME = 'nwfModal';

    bindings = {
    };

    transclude = {
        'modalHeaderSlot': 'nwfModalHeader',
        'modalBodySlot': 'nwfModalBody',
        'modalFooterSlot': 'nwfModalFooter'
    };

    template = `
        <div ng-transclude="modalHeaderSlot"></div>
        <div class="modal-body" ng-transclude="modalBodySlot"></div>
        <div class="modal-footer" ng-transclude="modalFooterSlot"></div>
    `;

    constructor() {
    }
}
