export default class NwfModalHeaderController {
    private status: string;
    private severity: string;

    private iconClass: string;
    private stateClass: string;

    constructor() {
    }

    $onInit() {
        let stateClass: string = '';
        let iconClass: string = '';
        let severity: string = '';

        if (this.status == 'critical') {
            stateClass = 'is-critical';
            iconClass = 'icon-Critical-Full';
            severity = this.status;
        } else if (this.status == 'warning') {
            stateClass = 'is-warning';
            iconClass = 'icon-Warning';
            severity = this.status;
        } else if (this.status == 'ok') {
            stateClass = 'is-ok';
            iconClass = 'icon-OkCircleWithCheck';
            severity = this.status;
        } else if (this.status == 'error') {
            stateClass = 'is-error';
            iconClass = 'icon-Error-Full';
            severity = this.status;
        } else if (this.status == 'info') {
            stateClass = 'is-info';
            iconClass = 'icon-Info';
            severity = this.status;
        }
        this.stateClass = stateClass;
        this.iconClass = iconClass;
        this.severity = severity;
    }
}
