/**
 * Arearange Chart Component
 * Takes in user defined (consumer's) chartConfig and plots the chart.
 * <arearange-chart chart-config="config"></arearange-chart>
 */
import * as angular from 'angular';
import AreaRangeChartController from './arearangeChart-controller';

export default class AreaRangeChartComponent{
    static NAME = 'arearangeChart';
    template = '<div data-netapp-id="arearangeChart"></div>';
    bindings = {
        userChartConfig: '=chartConfig'
    };
    controller = AreaRangeChartController;
}
