import * as chooserTemplate from './columnChooser-template.html';
import ColumnChooserController from './columnChooser-controller';

export class NwfColumnChooser {

    static NAME: string = 'nwfColumnChooser';

    restrict = 'E';
    replace = true;
    template = chooserTemplate;
    bindToController = {
        options: '<',
        selections: '<',
        gridApi: '=',
        popoverPlacement: '@?'
    };
    controllerAs = 'columnChooserCtrl';
    controller = ColumnChooserController;

}

// export factory function
export function NwfColumnChooserFactory(): NwfColumnChooser {
    return new NwfColumnChooser();
}
