import * as angular from 'angular';
import NwfModalComponent from './components/nwfModal-component';
import NwfModalHeaderComponent from './components/nwfModalHeader-component';

export default class ModalModule {
    static NAME: string = 'ModalModule';

    static DEPENDENCIES: Array<string> = [];

    private native: angular.IModule;

    constructor() {
        this.initModules();
        this.native = angular.module(ModalModule.NAME, ModalModule.DEPENDENCIES);
        this.native.component(NwfModalComponent.NAME, new NwfModalComponent());
        this.native.component(NwfModalHeaderComponent.NAME, new NwfModalHeaderComponent());
    }

    initModules() {
    }
}
