
import nwfAboutController from './nwfAbout-controller';

export class NwfAbout  {
    static NAME = 'nwfAbout';
    restrict = 'E';
    scope = {
        productName: '@',
        systemId: '@',
        sessionId: '@',
        version: '@',
        conftext: '@',
        copyright: '@'
    };
    replace = true;
    controller = nwfAboutController;
    template = '<li ng-click="open()" class="nwf-about-anchor">{{"nwfjs:about" | i18next}}</li>';
}

// export factory function
export function NwfAboutFactory(): NwfAbout {
    return new NwfAbout();
}
