import * as nwfLogoutDirective from './nwfLogout-directive.html';

import nwfLogoutController from './nwfLogout-controller';

export class NwfLogout  {
    static NAME: string = 'nwfLogout';
    public restrict = 'E';
    public controller = nwfLogoutController;
    public template = nwfLogoutDirective;
    public replace = true;
    public transclude = true;
    constructor() {
    }

};



// export factory function
export function NwfLogoutFactory(): NwfLogout {
    return new NwfLogout();
}